#include <iostream>
using namespace std;
int main ()
{
    int n, ch, d1, d2;
    char niz[100];
    bool flag=false;
    cin>>n;
    for (int i=0; i<=n-1; i++)
    {
        cin>>ch;
        for (int j=1; j<=ch; j++)
        {
            for (int k=2; k<=ch; k++)
            {
                d1=j*j;
                d2=k*k;
                if (ch==d1+d2)
                {
                    flag=true;
                }
            }

        }
        if (flag==false)
        {
            niz[i]='0';
        }
        if (flag==true)
        {
            niz[i]='1';
            flag=false;
        }
    }
    cout<<niz;
    return 0;
}
